package es.verdnatura.domain

import es.verdnatura.presentation.view.feature.faltas.model.ItemFaltasVO
import es.verdnatura.presentation.view.feature.inventario.model.ItemInventaryVO
import retrofit2.Call

class GetInventaryUserCase  : RestClient() {

    fun itemShelvingRadar(usuario:String,password:String,sectorFk:String) : Call<List<ItemInventaryVO>> {
        val params:ArrayList<String> = ArrayList();
        params.add(sectorFk)
        return restClient!!.itemShelvingRadar("json","1",usuario,password,"application/json",params = params)!!
    }

    fun faultsReview(usuario:String,password:String,warehouseFk:String) : Call<List<ItemFaltasVO>> {
        val params:ArrayList<String> = ArrayList();
        params.add(warehouseFk)
        return restClient!!.faultsReview("json","1",usuario,password,"application/json",params = params)!!
    }

    fun faultsReview_isChecked(usuario:String,password:String,itemFk:String,warehouseFk:String) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(itemFk)
        params.add(warehouseFk)
        return restClient!!.faultsReview_isChecked("json","1",usuario,password,"application/json",params = params)!!
    }

}