package es.verdnatura.domain

import es.verdnatura.presentation.view.feature.login.model.LoginSalixVO
import retrofit2.Call

class GetLoginUserCase() : RestClient() {

    fun login(usuario:String,password:String) : Call<String>{
        val params:ArrayList<String> = ArrayList();
        params.add(usuario)
        params.add(password)
        return restClient!!.login("json","1",usuario,password,"application/json",params)!!
    }

    fun salixLogin(usuario:String,password:String) : Call<LoginSalixVO>{

        return salixClient!!.login("application/json", LoginSalixVO(usuario,password))!!
    }

    fun checkVersion(usuario:String,password:String,version:String) : Call<Boolean> {
        val params:ArrayList<String> = ArrayList();
        params.add(version)
        return restClient!!.version("json","1",usuario,password,"application/json",params)!!
    }

}