package es.verdnatura.domain

import es.verdnatura.presentation.view.feature.shelvingparking.model.ItemShelvingParkingVO
import es.verdnatura.presentation.view.feature.ubicador.model.ItemUbicadorVO
import retrofit2.Call

class GetUbicadorUserCase : RestClient() {

    fun itemShelvingList(usuario:String,password:String,vShelvingFk:String) : Call<List<ItemUbicadorVO>> {
        val params:ArrayList<String> = ArrayList();
        params.add(vShelvingFk)

        return restClient!!.itemShelvingList("json","1",usuario,password,"application/json",params)!!
    }

    fun itemShelvingMake(usuario:String,password:String,shelving:String,item:String,deep:String,quantity:String,packing:String,warehouse:String,level:String) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(shelving)
        params.add(item)
        params.add(deep)
        params.add(quantity)
        params.add(packing)
        params.add(warehouse)
        params.add(level)

        return restClient!!.itemShelvingMake("json","1",usuario,password,"application/json",params)!!
    }
}


