package es.verdnatura.presentation.common

import android.graphics.drawable.Drawable
import es.verdnatura.presentation.view.feature.ajustes.model.AjustesItemVO
import es.verdnatura.presentation.view.feature.articulo.model.BarcodeVO
import es.verdnatura.presentation.view.feature.articulo.model.ItemCardRowVO
import es.verdnatura.presentation.view.feature.buscaritem.model.ItemLocationVO
import es.verdnatura.presentation.view.feature.faltas.model.ItemFaltasVO
import es.verdnatura.presentation.view.feature.inventario.model.ItemInventaryVO
import es.verdnatura.presentation.view.feature.pasillero.model.PasillerosItemVO

interface OnOptionsSelectedListener {
    fun onOptionsItemSelected(item: Drawable)
}

interface OnPasillerosItemClickListener {
    fun onPasillerosItemClickListener(item: PasillerosItemVO,entryPoint:String)
}

interface OnAjustesItemClickListener {
    fun onAjustesItemClickListener(item: AjustesItemVO)
}


interface OnItemCardRowClickListener {
    fun onItemCardRowClickListener(item: ItemCardRowVO)
}

interface OnBarcodeRowClickListener {
    fun onBarcodeRowClickListener(item: BarcodeVO)
}

interface OnLocationRowClickListener {
    fun onLocationRowClickListener(item: ItemLocationVO)
}

interface OnInvetoryNichoClickListener {
    fun onInvetoryNichoClickListener(item: ItemInventaryVO)
}

interface OnFaltasNichoClickListener {
    fun onFaltasNichoClickListener(item: ItemFaltasVO)
}
interface OnFaltasReviewClickListener {
    fun onFaltasReviewClickListener(item: ItemFaltasVO)
}