package es.verdnatura.presentation.view.feature.imageview.activity

import es.verdnatura.R
import es.verdnatura.databinding.ActivityImageviewBinding
import es.verdnatura.presentation.base.BaseActivity
import es.verdnatura.presentation.common.loadUrl
import kotlinx.android.synthetic.main.activity_imageview.*
import kotlinx.android.synthetic.main.toolbar.*


class ImageViewActivity : BaseActivity<ActivityImageviewBinding>(){
    override fun getLayoutId(): Int = R.layout.activity_imageview

    override fun init() {
        toolbar_title.text = (intent.getStringExtra("title"))
        imgView.loadUrl(intent.getStringExtra("url"))

        backButton.setOnClickListener {
            onBackPressed()
        }
    }



}
