package es.verdnatura.domain

import es.verdnatura.presentation.view.feature.articulo.model.ItemCardVO
import retrofit2.Call

class GetItemCardUserCase : RestClient() {

    fun getItemCard(usuario:String,password:String,itemFk:String,warehouseFk:String) : Call<ItemCardVO> {
        val params:ArrayList<String> = ArrayList();
        params.add(itemFk)
        params.add(warehouseFk)
        return restClient!!.getItemCard("json","1",usuario,password,"application/json",params = params)!!
    }


    fun itemStockUpdate(usuario:String,password:String,itemFk:String,warehouseFk:String,newVisible:String,isTrash:String ) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(itemFk)
        params.add(warehouseFk)
        params.add(newVisible)
        params.add(isTrash)
        return restClient!!.itemStockUpdate("json","1",usuario,password,"application/json",params = params)!!
    }

    fun itemPlacementSave(usuario:String,password:String,itemFk:String,warehouseFk:String,value:String ) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(itemFk)
        params.add(warehouseFk)
        params.add(value)
        return restClient!!.itemPlacementSave("json","1",usuario,password,"application/json",params = params)!!
    }

    fun updateGrouping(usuario:String,password:String,itemFk:String,value:String ,warehouseFk:String) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(itemFk)
        params.add(value)
        params.add(warehouseFk)
        return restClient!!.updateGrouping("json","1",usuario,password,"application/json",params = params)!!
    }

    fun updatePacking(usuario:String,password:String,itemFk:String,value:String ,warehouseFk:String) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(itemFk)
        params.add(value)
        params.add(warehouseFk)
        return restClient!!.updatePacking("json","1",usuario,password,"application/json",params = params)!!
    }

    fun itemSaveMin(usuario:String,password:String,itemFk:String,value:String) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(itemFk)
        params.add(value)
        return restClient!!.itemSaveMin("json","1",usuario,password,"application/json",params = params)!!
    }

    fun barcodes_edit(usuario:String,password:String,itemFk:String,value:String, delete:String) : Call<String> {
        val params:ArrayList<String> = ArrayList();
        params.add(value)
        params.add(itemFk)
        params.add(delete)
        return restClient!!.barcodes_edit("json","1",usuario,password,"application/json",params = params)!!
    }
}