package es.verdnatura.presentation.view.feature.pasillero.fragment


import es.verdnatura.R
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.view.feature.pasillero.model.PasillerosItemVO

class PasilleroViewModel : BaseViewModel() {
    private val _pasillerositem by lazy { ArrayList<PasillerosItemVO>() }
    val pasillerositem: List<PasillerosItemVO>
        get() = _pasillerositem


    fun inititializeDefaultData() {
        _pasillerositem.add(
            PasillerosItemVO(0,
                R.drawable.ic_loyalty_black_24dp,
                "Consultar artículo")
        )

        _pasillerositem.add(
            PasillerosItemVO(1,
                R.drawable.ic_dashboard_black_24dp,
                "Ubicador")
        )

        _pasillerositem.add(
            PasillerosItemVO(2,
                R.drawable.ic_visibility_black_24dp,
                "Buscar item")
        )


        _pasillerositem.add(
            PasillerosItemVO(3,
                R.drawable.ic_spa_black_24dp,
                "Inventario")
        )

        _pasillerositem.add(
            PasillerosItemVO(4,
                R.drawable.ic_move_to_inbox_black_24dp,
                "Faltas")
        )

        _pasillerositem.add(
            PasillerosItemVO(5,
                R.drawable.ic_send_black_24dp,
                "Shelving Parking")
        )


    }
}
